## Function(treeId, treeNode)setting.callback.beforeCheck

### Overview[ depends on jquery.ztree.excheck js ]

Used to capture the event before check or uncheck node, zTree based on return value to determine whether to change check state.

Default: null

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId, easy for users to control.

#### treeNode JSON

JSON data object of the node which is checked or unchecked

#### Return Boolean

return true or false

If return false, zTree will not change check state, and will not trigger the 'onCheck' callback.

### Examples of setting & function

#### 1. disable to change check state of all nodes, and keep the check state initialization

    function zTreeBeforeCheck(treeId, treeNode) {
        return false;
    };
    var setting = {
    	callback: {
    		beforeCheck: zTreeBeforeCheck
    	}
    };
    ......